Subject: Re: bug#32883: 26.1; Emacs not response in shell mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Sep 2018 12:14:04 +0300

> From: "alexei28" <[email-masked]>
> Date: Sun, 30 Sep 2018 10:47:27 +0300
> 
> 1.            I download Emacs 26 from here :
> http://ftp.gnu.org/gnu/emacs/windows/emacs-26/emacs-26.1-x86_64.zip
> 
> 2.            Unpack and run pure Emacs (no external packages)
> 
> 3.            Connect android device to my computer
> 
> 4.            M-x shell
> 
> 5.            Run the next command adb logcat -vtime. Tool logcat- is a tool from Google to see android's device
> logging. It's very helpful.
> 
> 6.            This tool (logcat) generate many text interactively in shell.
> 
> 7.            So I press button arrow up and move cursor to the center of screen.
> 
> 8.            Text is continues to be generated.
> 
> 9.            And now I press button Enter
> 
> 10.          As result Emacs not response any more. Show progress bar forever. Nothing help. Only kill Emacs
> process from Task Manager

How long did you wait?  Is it possible that it just takes a lot of
time for Emacs to display this text?

Did you try C-g several times?  Did that help?

Does it help to set w32-pipe-read-delay to zero?

If none of the above helps, can you save the output of "logcat -vtime"
in a file and post that file here?  Does visiting that file exhibit
similar problems, i.e. a long (or infinite) time needed for its
display?

Thanks.